## com.puppycrawl.tools.checkstyle.doclets
Class TokenTypesDoclet

    java.lang.Object
      com.puppycrawl.tools.checkstyle.doclets.TokenTypesDoclet

    public final class TokenTypesDoclet

extends Object

Doclet which is used to write property file with short descriptions (first sentences) of TokenTypes' constants.

Author:
  o_sukhodolsky

Method Summary
`static int` `optionLength(String aOption)` Returns option length (how many parts are in option).
`static boolean` `start(com.sun.javadoc.RootDoc aRoot)` The doclet's starter method.
`static boolean` `validOptions(String[][] aOptions, com.sun.javadoc.DocErrorReporter aReporter)` Checks that only valid options was specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### start

    public static boolean start(com.sun.javadoc.RootDoc aRoot)
                         throws FileNotFoundException

  The doclet's starter method.

  Parameters:
    `aRoot` - `RootDoc` given to the doclet
  Returns:
    true if the given `RootDoc` is processed.
  Throws:
    `FileNotFoundException` - will be thrown if the doclet will be unable to write to the specified file.

### optionLength

    public static int optionLength(String aOption)

  Returns option length (how many parts are in option).

  Parameters:
    `aOption` - option name to process
  Returns:
    option length (how many parts are in option).

### validOptions

    public static boolean validOptions(String[][] aOptions,
                                       com.sun.javadoc.DocErrorReporter aReporter)

  Checks that only valid options was specified.

  Parameters:
    `aOptions` - all parsed options
    `aReporter` - the reporter to report errors.
  Returns:
    true if only valid options was specified

Copyright © 2001-2011. All Rights Reserved.